<?php

namespace App\Models\Boards;

use Illuminate\Database\Eloquent\Model;

/**
 * @mixin IdeHelperPostCustomFieldValue
 */
class PostCustomFieldValue extends Model
{
    protected $table = 'post_custom_field_values';

    protected $fillable = ['post_id', 'field_id', 'value'];

    public function post()
    {
        return $this->belongsTo(Post::class, 'post_id');
    }

    public function field()
    {
        return $this->belongsTo(BoardSetting::class, 'field_id');
    }
}
